%define _provides_exceptions perl(Test::\\(More\\|Builder\\))

%define with_guile 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_ocaml 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_mono 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

Name: swig
Version: 3.0.8
Release: %mkrel 1
Summary: Simplified Wrapper and Interface Generator (SWIG)
License: BSD-like
Group: Development/Other
URL: http://www.swig.org/
Source0: http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires: bison
BuildRequires: imake
%if %{with_guile}
BuildRequires: guile-devel
%endif
%if %{with_ocaml}
BuildRequires: ocaml
%endif
BuildRequires: lua-devel
%if %{with_mono}
BuildRequires: mono
BuildRequires: mono-devel
%endif
BuildRequires: libstdc++-devel
BuildRequires: boost-devel
BuildRequires: perl-devel
BuildRequires: php-devel
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: tcl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: swig-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.


%package        doc
Summary:        Documentation and examples for %{name}
Group:          Documentation
BuildArch:	noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-doc package if you want to look at example and 
documentation.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std 

mkdir -p %buildroot/%_docdir/swig %buildroot/%_libdir/swig
cp -a ANNOUNCE INSTALL CHANGES CHANGES.current \
	LICENSE README TODO  Doc/Devel Doc/Manual %buildroot/%_docdir/swig


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE INSTALL CHANGES CHANGES.current LICENSE README TODO
%{_bindir}/swig
%{_bindir}/ccache-swig
%{_datadir}/swig


%files doc
%defattr(-,root,root)
%doc Examples Doc/Manual
%{_datadir}/doc

%changelog
* Fri Mar 11 2016 bb <bb> 3.0.8-1pclos2016
- update

* Sun Nov 15 2015 bb <bb> 3.0.7-1pclos2015
- update

* Fri Jul 10 2015 bb <bb> 3.0.5-1pclos2015
- update
